@import url('https://fonts.googleapis.com/css2?family=Bungee&family=Fugaz+One&family=Josefin+Sans:ital,wght@0,100..700;1,100..700&family=Monoton&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    color: #000;
    user-select: none;

    font-family: "Poppins", sans-serif;
    font-weight: 400;
    font-style: normal;
    box-sizing: border-box;
}

@property --g-x1 { syntax: '<number>'; inherits: true; initial-value: -7; }
@property --g-y1 { syntax: '<number>'; inherits: true; initial-value: 0; }
@property --g-x2 { syntax: '<number>'; inherits: true; initial-value: 13; }
@property --g-y2 { syntax: '<number>'; inherits: true; initial-value: 0; }
@property --g-x3 { syntax: '<number>'; inherits: true; initial-value: -3; }
@property --g-y3 { syntax: '<number>'; inherits: true; initial-value: 0; }
@property --g-x4 { syntax: '<number>'; inherits: true; initial-value: 13; }
@property --g-y4 { syntax: '<number>'; inherits: true; initial-value: 0; }
body {
    --g-y1: calc((8 / var(--g-x1)) * sin(.8 * var(--g-x1)) + 2);
    --g-y2: calc(.4 * var(--g-x2) * sin(.9 * var(--g-x2) + 2) + 5);
    --g-y3: calc((-12 / (var(--g-x3) + 6)) * sin(.8 * var(--g-x3)) + .9 * var(--g-x3));
    --g-y4: calc(-.1 * pow(var(--g-x4) - 3.5, 4) + .6 * pow(var(--g-x4) - 3.5, 3) + .4 * pow(var(--g-x4) - 3.5, 2) - 3.1 * (var(--g-x4) - 3.5) + 2.5);

    background:
        radial-gradient(in oklch circle 40vw at calc(var(--g-x3) * 10%) calc(var(--g-y3) * 10%), #ad0e6888, transparent),
        radial-gradient(in oklch circle 25vw at calc(var(--g-x2) * 10%) calc(var(--g-y2) * 10%), #2eb5cd88, transparent),
        radial-gradient(in oklch circle 50vw at calc(var(--g-x1) * 10%) calc(var(--g-y1) * 10%), #3c21aa, transparent),
        radial-gradient(in oklch circle 30vw at calc(var(--g-x4) * 10%) calc(var(--g-y4) * 10%), #1cbd4c88, transparent),
        #341591;
    animation:
        --gradient-movement-1 30s linear infinite 10s,
        --gradient-movement-2 40s linear infinite,
        --gradient-movement-3 40s linear infinite 15s,
        --gradient-movement-4 60s linear infinite 20s;
    font-family: "Poppins", sans-serif;
    width: 100vw;
    height: 100vh;
}
@keyframes --gradient-movement-1 { 80%, 100% { --g-x1: 15; } }
@keyframes --gradient-movement-2 { 95%, 100% { --g-x2: -3; } }
@keyframes --gradient-movement-3 { 80%, 100% { --g-x3: 13; } }
@keyframes --gradient-movement-4 { 90%, 100% { --g-x4: -3; } }

.way {
    position: fixed;
    left: auto;
    right: 1em;
    top: 1em;
    display: grid;
    row-gap: .2rem;

    & > a {
        padding: .5em 1.2em;
        border-radius: 100vw;
        background: #c83a9d;
        color: #fff;
        font-size: .9em;
    }
    & > a:hover {
        background: #833ac8;
    }
}
form {
    position: absolute;
    display: grid;
    width: min(95%, 23rem);
    height: fit-content;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background: linear-gradient(to bottom right, #d7ecffdd, #dbceffdd);
    border-radius: 30px;
    padding: 2rem 2rem 2.8rem 2rem;
    justify-items: center;
    box-shadow: 8px 8px 45px #0003;
    backdrop-filter: blur(5px);
}
form h1 {
    position: relative;
    margin-top: .3em;
    width: fit-content;
    height: fit-content;
    font-weight: 600;
    text-align: center;
    text-decoration: underline;
}
/* form h1::before {
    content: '';
    position: absolute;
    inset: auto -.5rem -4px -.5rem;
    height: 6px;
    background: linear-gradient(to bottom right, #c83a9d, #3505ad);
    box-shadow: 1px 1px 7px #7e20a5;
    border-radius: 3px;
    z-index: -1;
} */
.input-container {
    display: grid;
    text-align: center;
    gap: 10px;
    margin-top: 2em;
}
.input-container div {
    position: relative;
}
.input-container div input {
    box-shadow: 4px 4px 10px #0002;
    padding: 15px 25px;
    border-radius: 22px;
    outline: none;
    border: none;
    width: 16rem;
    font-size: 12pt;
}
.input-container div label {
    position: absolute;
    left: 10.125%;
    color: #777;
    top: 50%;
    bottom: auto;
    transform: translateY(-50%);
    transition: .3s;
    pointer-events: none;
}
.input-container div input:focus + label, .input-container div input:not(:placeholder-shown) + label {
    color: black;
    top: 5%;
    transition: .2s;
    font-weight: bold;
}
form p {
    /* visibility: hidden; */
    position: relative;
    color: red;
    top: 1em;
    height: 2.5em;
    text-align: center;
    align-content: center;
}
/* form.failed p {
    visibility: visible;
} */
form button {
    margin-top: 2em;
    outline: none;
    border: none;
    background: linear-gradient(to bottom right, #c83a9d, #3505ad);
    border-radius: 20px;
    /* box-shadow: 2px 2px 10px #7e20a5aa; */
    padding: 15px 35px;
    display: flex;
    justify-content: center;
    height: fit-content;
    color: white;
    font-size: 13pt;
    font-weight: bold;
    transition: .1s;
    cursor: pointer;
}
form button:active {
    box-shadow: none;
    transition: .1s;
}